<?xml version="1.0"  encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:output method="html" encoding="ISO-8859-1" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" />
<xsl:template match="/">
  <html>
  <title>Generated on <xsl:value-of select="zeitpunkt"/></title>
  <body bgcolor="#8b7765">
    <xsl:apply-templates/>
  </body>
  </html>
</xsl:template>
<xsl:template match="RESULTS">
<table border="0" width="90%" cellpadding="2" cellspacing="0" align="center" bgcolor="#000000">
 <tr>
  <td>
   <table align="center" bgcolor="#fffacd" border="0" cellpadding="3" cellspacing="1" width="100%">
    <tr>
      <td align="center"><font size="4" color="black"><b>Domain 
Statistics</b></font></td>
    </tr>
   </table>
  </td>
 </tr>
 <tr bgcolor="#8b7765">
  <td><BR></BR></td>
 </tr>
 <tr>
  <table border="0" cellspacing="0" cellpadding="1" width="90%" bgcolor="#000000" align="center">
   <tr>
    <td>
     <table width="100%" border="0" cellspacing="0" cellpadding="3" align="center">
      <tr>
       <td colspan="1" bgcolor="#eecfa1" 
align="center"><center><b>Traffic rates per Domain</b></center>
       </td>
      </tr>
     </table>
    </td>
   </tr>
   <tr>
     <td>
      <table width="100%" border="0" cellspacing="0" cellpadding="3" align="center">
       <tr>
         <td align="center" bgcolor="#ffffcb"><img src="{DOMAINS/@image}"></img></td>
       </tr>
      </table>
     </td>
   </tr>
  </table>
  </tr>
  </table>
  <table bgcolor="#336699" width="90%" align="center" cellspacing="0" cellpadding="0" border="1">
  <tr>
    <th width="30%">Domain Name</th>
    <th width="10%">Incoming</th>
    <th width="10%">Outgoing</th>
    <th width="10%">Total</th>
    <th width="10%">Incoming</th>
    <th width="10%">Outgoing</th>
    <th width="10%">Bytes</th>
  </tr>
	<xsl:for-each select="./DOMAINS/DOMAIN">
	<xsl:sort data-type="number" select="./@sumbytes" order="descending"/>
		<tr align="RIGHT" valign="MIDDLE">
			<xsl:attribute name="bgcolor">
				<xsl:choose>
					<xsl:when test="(position() mod 2) = 0">#E8F3FF</xsl:when>
					<xsl:otherwise>#FFFFFF</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<td align="left"><a href="{./@link}"><xsl:value-of select="./@domain"/></a></td>
			<td><xsl:value-of select="./@incoming"/></td>
			<td><xsl:value-of select="./@outgoing"/></td>
			<td><xsl:value-of select="./@summessages"/></td>

			<xsl:choose>
			  <xsl:when test="./@incbytes > 1024 * 1024 * 1024">
  			    <td><xsl:value-of select="round(./@incbytes div 1024 div 1024 div 1024 * 100) div 100"/>GB</td>
			  </xsl:when>
			  <xsl:when test="./@incbytes > 1024 * 1024">
  			    <td><xsl:value-of select="round(./@incbytes div 1024 div 1024 * 100) div 100"/>MB</td>
			  </xsl:when>
			  <xsl:when test="./@incbytes > 1024">
  			    <td><xsl:value-of select="round(./@incbytes div 1024 * 100) div 100"/>kb</td>
			  </xsl:when>
			  <xsl:otherwise>
  			    <td><xsl:value-of select="./@incbytes"/>bytes</td>
			  </xsl:otherwise>
			</xsl:choose>

			<xsl:choose>
			  <xsl:when test="./@outbytes > 1024 * 1024 * 1024">
  			    <td><xsl:value-of select="round(./@outbytes div 1024 div 1024 div 1024 * 100) div 100"/>GB</td>
			  </xsl:when>
			  <xsl:when test="./@outbytes > 1024 * 1024">
  			    <td><xsl:value-of select="round(./@outbytes div 1024 div 1024 * 100) div 100"/>MB</td>
			  </xsl:when>
			  <xsl:when test="./@outbytes > 1024">
  			    <td><xsl:value-of select="round(./@outbytes div 1024 * 100) div 100"/>kb</td>
			  </xsl:when>
			  <xsl:otherwise>
  			    <td><xsl:value-of select="./@outbytes"/>bytes</td>
			  </xsl:otherwise>
			</xsl:choose>

			<xsl:choose>
			  <xsl:when test="./@sumbytes > 1024 * 1024 * 1024">
  			    <td><xsl:value-of select="round(./@sumbytes div 1024 div 1024 div 1024 * 100) div 100"/>GB</td>
			  </xsl:when>
			  <xsl:when test="./@sumbytes > 1024 * 1024">
  			    <td><xsl:value-of select="round(./@sumbytes div 1024 div 1024 * 100) div 100"/>MB</td>
			  </xsl:when>
			  <xsl:when test="./@sumbytes > 1024">
  			    <td><xsl:value-of select="round(./@sumbytes div 1024 * 100) div 100"/>kb</td>
			  </xsl:when>
			  <xsl:otherwise>
  			    <td><xsl:value-of select="./@sumbytes"/>bytes</td>
			  </xsl:otherwise>
			</xsl:choose>

		</tr>
	</xsl:for-each>
	<tr align="RIGHT" bgcolor="#336699">	
			<td align="LEFT"><b>Summary</b></td>
			<td><xsl:value-of select="sum(./DOMAINS/DOMAIN/@incoming)"/></td>
			<td><xsl:value-of select="sum(./DOMAINS/DOMAIN/@outgoing)"/></td>
			<td><xsl:value-of select="sum(./DOMAINS/DOMAIN/@summessages)"/></td>

			<xsl:choose>
			  <xsl:when test="sum(./DOMAINS/DOMAIN/@incbytes) > 1024 * 1024 * 1024">
  			    <td><xsl:value-of select="round(sum(./DOMAINS/DOMAIN/@incbytes) div 1024 div 1024 div 1024 * 100) div 100"/>GB</td>
			  </xsl:when>
			  <xsl:when test="sum(./DOMAINS/DOMAIN/@incbytes) > 1024 * 1024">
  			    <td><xsl:value-of select="round(sum(./DOMAINS/DOMAIN/@incbytes) div 1024 div 1024 * 100) div 100"/>MB</td>
			  </xsl:when>
			  <xsl:when test="sum(./DOMAINS/DOMAIN/@incbytes) > 1024">
  			    <td><xsl:value-of select="round(sum(./DOMAINS/DOMAIN/@incbytes) div 1024 * 100) div 100"/>kb</td>
			  </xsl:when>
			  <xsl:otherwise>
  			    <td><xsl:value-of select="sum(./DOMAINS/DOMAIN/@incbytes)"/>bytes</td>
			  </xsl:otherwise>
			</xsl:choose>

			<xsl:choose>
			  <xsl:when test="sum(./DOMAINS/DOMAIN/@outbytes) > 1024 * 1024 * 1024">
  			    <td><xsl:value-of select="round(sum(./DOMAINS/DOMAIN/@outbytes) div 1024 div 1024 div 1024 * 100) div 100"/>GB</td>
			  </xsl:when>
			  <xsl:when test="sum(./DOMAINS/DOMAIN/@outbytes) > 1024 * 1024">
  			    <td><xsl:value-of select="round(sum(./DOMAINS/DOMAIN/@outbytes) div 1024 div 1024 * 100) div 100"/>MB</td>
			  </xsl:when>
			  <xsl:when test="sum(./DOMAINS/DOMAIN/@outbytes) > 1024">
  			    <td><xsl:value-of select="round(sum(./DOMAINS/DOMAIN/@outbytes) div 1024 * 100) div 100"/>kb</td>
			  </xsl:when>
			  <xsl:otherwise>
  			    <td><xsl:value-of select="sum(./DOMAINS/DOMAIN/@outbytes)"/>bytes</td>
			  </xsl:otherwise>
			</xsl:choose>

			<xsl:choose>
			  <xsl:when test="sum(./DOMAINS/DOMAIN/@sumbytes) > 1024 * 1024 * 1024">
  			    <td><xsl:value-of select="round(sum(./DOMAINS/DOMAIN/@sumbytes) div 1024 div 1024 div 1024 * 100) div 100"/>GB</td>
			  </xsl:when>
			  <xsl:when test="sum(./DOMAINS/DOMAIN/@sumbytes) > 1024 * 1024">
  			    <td><xsl:value-of select="round(sum(./DOMAINS/DOMAIN/@sumbytes) div 1024 div 1024 * 100) div 100"/>MB</td>
			  </xsl:when>
			  <xsl:when test="sum(./DOMAINS/DOMAIN/@sumbytes) > 1024">
  			    <td><xsl:value-of select="round(sum(./DOMAINS/DOMAIN/@sumbytes) div 1024 * 100) div 100"/>kb</td>
			  </xsl:when>
			  <xsl:otherwise>
  			    <td><xsl:value-of select="sum(./DOMAINS/DOMAIN/@sumbytes)"/>bytes</td>
			  </xsl:otherwise>
			</xsl:choose>

	</tr>
</table>
<table height="35%" width="100%" border="0" align="bottom">
<tr>
<td height="100%"></td>
</tr>
<tr>
<td>
  <p align="left"><font size="1"><b>Generated on <xsl:value-of select="@zeitpunkt"/> by qmailalizer</b></font></p>
</td>
</tr>
</table>

 </xsl:template>
</xsl:stylesheet>